/* Program na nastaveni pozadovane citlivosti modulu s elektretovym mikrofonem 
Zobrazeni hodnot je na tabletu, komunikace je s Bluetooth JDY-33
odladeno v IDE 1,8,13 program pro ARDUINO UNO, NANO snimani digitalni hodnoty vystupu LOG"0", LOG"1"
Logicka"1" znamena vystup je aktivni, logicka"0" znamena vystup je naaktivni
mojeelektronika.mzf.cz (C)2024
vagnervlastimil@seznam.cz
*/
#include <SoftwareSerial.h>                // prihrani knihovny pro seriovou komunikaci 
SoftwareSerial BT=SoftwareSerial(10,11);   // nastaveni komunikacnich pinu ARDUINA 10=RXD, 11=TXD pro komunikaci  s tabletem
const int senzor = A0;                     // nastaveni vstupniho pinu pro nacitani vystupu modulu mikrofonu
const int led = 13;                        // signalizace funkcnosti modulu
const int konstanta = 940;                 // konstanta surove hodnoty "940"
int hodnota;                               // promenna pro nactenou hodnotu PINU A0 

void setup(){                              // Setup
pinMode( senzor,INPUT);                    // analogovy pin A0 nastaven na vstup
pinMode(led,OUTPUT);                       // digitalni pin D13 led dioda 
BT.begin(9600);                            // nastaveni komunikacni rychlosti
}                                       

void loop(){                               // zacatek hlavni smycky programu
hodnota = analogRead(senzor);              // nacteni hodnoty z modulu
if ( hodnota >= konstanta){                // porovnani nactene hodnoty s hodnotou "0" LOG.0 vystup aktivni            
BT.println("Logicka hodnota = 1 VYSTUP AKTIVNI");   // zobrazeni popisu na LCD 
digitalWrite(led,HIGH);                    // zapnuti signalizacni led
delay(1000);                               // casova prodleva po zapnuti led diody
}else{                                     // rozvetveni prikazu IF
BT.println("Logicka hodnota = 0 VYSTUP NEAKTIVNI"); // zobrazeni popisu na LCD
digitalWrite(led, LOW);                    // vypnuti signalizacni led diody
hodnota = 0;                               // vymazani promenne hodnota
delay(1000);                               // casova prodleva pred dalsim nactenim hodnoty
 }                                         // konec smycky IF                          
}                                          // konec hlavni smycky
